Page MenuHomePhabricator

Ensure payment and Fortnox integration is working in Zynatic
Closed, ResolvedPublic8 Story Points

Description

Splitting out this component of T172173: Set up Zynatic for Wikimedia Sverige membership register.

We need to ensure that the payment/membership renewal functionality in Zynatic works and is well integrated with our Fortnox accounting system.

Routine documentation is temporarily available in this Google doc

Event Timeline

Lokal_Profil renamed this task from Ensure payment and FortNox integration is working in Zynatic. to Ensure payment and FortNox integration is working in Zynatic.Feb 1 2018, 1:39 PM
Lokal_Profil created this task.
Lokal_Profil moved this task from Backlog to This week on the User-LokalProfil board.

E-mail sent to Zynatic about invoice and member-triggered issues (not extra donations bit). Also asks about details of FortNox integration.

Lokal_Profil updated the task description. (Show Details)Feb 1 2018, 1:49 PM
Lokal_Profil updated the task description. (Show Details)Feb 1 2018, 1:54 PM

Not (yet) raised with Zynatic

  • Normal references the membership type (the second alternative is Organisation). This is a hard-coded value.
  • The optional donation doesn't work very well
    • Donation Donation looks wierd
    • beställa doesn't work grammatically for a donation
    • 10 kr is just the token amount attached to this payment object and should ideally not be written out
    • When donation is added to the invoice the sum disappears

It is possible to add a line of text next to the sum where we could say "to make a donation simply increase this amount", but likely the money would then be accounted as a membership fee rather than a donation. Note that this is not necessarily a blocker.

From T172173: Set up Zynatic for Wikimedia Sverige membership register:
Done:

  • Sent a test-email through Zynatic. - It arrived
  • Made a test (PayPal) payment through Zynatic. Works on my end.
  • Test invoice (membership renewal) sent to John over e-mail.
  • Test invoice paid by John
  • E-mail sent to Zynatic about various issues (but not those in T186213#3937499 )
Lokal_Profil added a comment.EditedFeb 2 2018, 9:29 AM

Reply from Zynatic:

Unclear payment button "Paypal, kort eller Paypal"

Fixed. @Evelina-Bang-WMSE can you verity this looks good to you?

ÅÄÖ incorrectly encoded in the bankgiro part of the invoice

Fixed. Can be verified with the next test invoice

Investigate interaction with FortNox [PayPal]

This likely didn't show up due to a missing kontoplan in Zynatic. E-mail sent to Opad to confirm what we should enter.

Investigate interaction with FortNox [Invoice]

This requires manually registering the invoice as paid in Zynatic. E-mail sent to Opad to check that they can easily distinguish these invoices (as opposed to the ones originating from Fortnox) and what the best routine should be for this round-trip.

Historical unpaid membership dues appearing during membership renewal (e.g. 2016 + 2018 when trying to renew)

Det är obetalda avgifter från förrförra året, förra året, nuvarande år och nästa år om visas.
This will likely require some clean-up by us. I've broken this out as T186326: Clean up unpaid membership dues for earlier years..

Undesirable sender name for e-mails ("info" rather than e.g. "Wikimedia Sverige")

Not possible today. Moving this to future development in T185469: Requested Zynatic development

Reply from Zynatic:

Unclear payment button "Paypal, kort eller Paypal"

Fixed. @Evelina-Bang-WMSE can you verity this looks good to you?

Looks good! However, the other option button seems to have developed preference for Danes (or maybe I was feeling Danish last time I looked at it and didn't notice) - it says "Jeg har betalat / betalar senare".

Lokal_Profil updated the task description. (Show Details)Feb 2 2018, 3:46 PM
Lokal_Profil renamed this task from Ensure payment and FortNox integration is working in Zynatic to Ensure payment and Fortnox integration is working in Zynatic.Feb 2 2018, 3:50 PM
Lokal_Profil updated the task description. (Show Details)
Lokal_Profil updated the task description. (Show Details)

Typo: "Jeg har betalat / betalar senare"

Reported to Zynatic

Documentation of routines started in Drive

Lokal_Profil added a comment.EditedFeb 9 2018, 9:40 AM
  • Kontoplan added to Zynatic
  • New test invoice created (paid via Swish)
  • New test payment done via Paypal
  • Typo on button fixed
  • Typo: "Jeg har betalat / betalar senare"

Layout has changed for Invoice and:

  • ÅÄÖ are broken again
  • Donation disappeared
Lokal_Profil updated the task description. (Show Details)Feb 9 2018, 1:14 PM

New round of e-mails:

  • 2 small non-member facing typos found
  • Layout has changed for Invoice and ÅÄÖ are broken again:
  • ÅÄÖ incorrectly encoded in the bankgiro part of the invoice
  • asked for a clarification on whether donation needs to be pre-selected for the invoice or if extra payments on the invoice can still be logged as such. Also donation disappeared from specification after layout change.:

Make the base category label editable, or set ours to "Privatperson":

  • "Normal" in invoice is a bit weird see F12939208 and info below

Rephrase payment button to make it clear that that is where you should click to pay.

  • Rephrase payment button "Kort eller Paypal"

Rephrase the payment reminder to include Swish number and instructions for which payment message to leave.

  • Add Swish to payment reminder pop-up
  • Add message instructions to payment reminder pop-up
Lokal_Profil updated the task description. (Show Details)Feb 9 2018, 1:57 PM
Lokal_Profil set the point value for this task to 8.
Lokal_Profil updated the task description. (Show Details)Feb 13 2018, 1:48 PM

Zynatic implemented a load of our requests. One of the results of these is that we will now probably want to restructure the donation fee object:
one object two typestwo objects one type each to make it easier to match

Lokal_Profil updated the task description. (Show Details)Feb 16 2018, 8:26 AM
Lokal_Profil updated the task description. (Show Details)Feb 16 2018, 8:29 AM
Lokal_Profil updated the task description. (Show Details)Feb 16 2018, 3:49 PM
Lokal_Profil updated the task description. (Show Details)Feb 19 2018, 4:13 PM
CiteMe reassigned this task from Lokal_Profil to -jkb-.Feb 19 2018, 6:33 PM
Lokal_Profil updated the task description. (Show Details)Feb 20 2018, 3:05 PM
  • Payment reminder is no longer triggered
  • (Paypal page looks weird when there are no outstanding fees - non-blocker)
  • Öre are lost in the communication with Fortnox

Contacted Zynatic about these.

Suggested a routine to Opad for handling invoices.

Lokal_Profil added a subscriber: -jkb-.
Lokal_Profil removed a subscriber: -jkb-.
Lokal_Profil updated the task description. (Show Details)Feb 23 2018, 2:14 PM

Meeting today where the documentation was largely completed. The following notes (in Swedish) should be acted upon/broken out into tasks

[Fråga]I Paypal:
* Lägg till rubrik i Paypal transaktion (typ Medlemskap: medlemsid)
* Finns fakturanr i transaktionsinformationen om faktura betals via Paypal?
[Begäran]Går det att lägga till non-breaking space i swishnummret ### ### ## ## (per hur det syns i Swish)
[Bug]Om man uppdaterar en betalning så att Bokföringsnr uppdateras, så uppdateras detta inte på Faktura > Sammanställning.
[Fråga]Hur går det med påminelserutan (Swish och meddelandeinstruktion)

Städa upp bland postnr.
* Exportera alla medlemmar inkl. postnummer
* Lägg in mellanslag
* Importera igen

[Fråga]I Paypal:

  • Lägg till rubrik i Paypal transaktion (typ Medlemskap: medlemsid)
  • Finns fakturanr i transaktionsinformationen om faktura betals via Paypal?

Requested

[Begäran]Går det att lägga till non-breaking space i swishnummret # #   (per hur det syns i Swish)

Fixed by simply adding spaces in the entered data.

[Bug]Om man uppdaterar en betalning så att Bokföringsnr uppdateras, så uppdateras detta inte på Faktura > Sammanställning.

Reported

[Fråga]Hur går det med påminelserutan (Swish och meddelandeinstruktion)

Asked

Lokal_Profil updated the task description. (Show Details)Mar 6 2018, 2:22 PM
Lokal_Profil updated the task description. (Show Details)Mar 6 2018, 2:41 PM
Lokal_Profil updated the task description. (Show Details)Mar 6 2018, 2:45 PM
Lokal_Profil updated the task description. (Show Details)
Lokal_Profil updated the task description. (Show Details)Mar 6 2018, 2:59 PM
Lokal_Profil closed this task as Resolved.Apr 5 2018, 9:37 AM
Lokal_Profil moved this task from This week to Done on the User-LokalProfil board.

I'm resolving this as all issues are either non-blocking and/or tracked elswhere. Also since we have in fact started using the system anything left is not de-facto blocking

Jopparn moved this task from Backlog to Done on the User-Evelina-Bang-WMSE board.May 6 2019, 12:34 PM